Subject: Re: [Geopriv] comments to draft-ietf-geopriv-uncertainty-00

From: Martin Thomson <[email-masked]>
Date: Mon, 14 Apr 2014 11:29:22 -0700

I have made the requested edits as requested.  The rest are applied
here: https://github.com/martinthomson/drafts/commit/0e6103155c6c6f232d232db68382ee84a551e715
and you can see the text here:
http://martinthomson.github.io/drafts/draft-ietf-geopriv-uncertainty.txt

(I've linked to the text version, because it seems like xml2rfc is
dropping text in a few places when generating HTML.  I need to ping
the xml2rfc maintainers about that.)

Re: 95% confidence and RFC 3825 (now 6225), this isn't explicit in
either of those drafts, but since 6225 translates to 5491 shapes and
there is a definition there, I think that the inference is valid.
I've included a statement calling that out.

Re: the larger issue of mandating the use of the confidence element,
it does this now.  It prohibits it for points, and notes that the
value "unknown" (sans quotes) should be used if it is actually
unknown.  You can see that change in
https://github.com/martinthomson/drafts/commit/effe2f274e4237faff8204d169769c0115aeba6d

I'll submit -01 this afternoon, pending further comment.

--Martin

On 22 February 2014 13:36, Roger Marshall <[email-masked]> wrote:
> My comments to draft-ietf-geopriv-uncertainty-00 as follows:
>
>
>
> I have included a list of minor edits, inline below and attached within a
> MsW redlined document (which should make it to the authors, if not the list
> – authors, please ignore the unintentional formatting changes).
>
>
>
> Only one comment is what I would consider a significant issue to talk about.
> It is whether or not an preferred confidence value of 95% (as taken from the
> draft) should be conveyed explicity, like any other non-ideal value is
> expected to be conveyed, or should it remain implicit (if confidence=95%).
> I strongly recommend that a value of 95% be represented explicitly as well
> as any other value, and not leaving the confidence element blank as is now
> required in the draft.  I would continue to argue that to leave it blank,
> would force downstream consumers to make a “guess” that the implicit value
> (the 95%) is the right value to display.
>
>
>
> Overall, I think this is an excellent draft, accomplishes the goal (and
> need) of extending PIDF-LO to convey confidence in addition to uncertainty.
> Many thanks to the authors!
>
>
>
> -roger marshall.
>
>
>
> Comments:
>
>
>
> C1. Section 4.2, change from:
>
> Confidence MUST NOT be included unless location information cannot be
> acquired with 95% confidence.
>
> To:
>
> Confidence MUST be included if available.
>
>
>
> C2. Introduction, suggest that “Target” be defined and referenced.
>
> C3. Intro, s/ small area/ small geographic area/1
>
> C4. Section 2., spelling, s/ succintly/ succinctly/1
>
> C5. Section 2., the sentence seems incomplete: “This result indicates that
> the measurement indicates that the value of”
>
> C6. Section 2., seems incomplete: “to the concept” (suggest detailing which
> concept…)
>
> C7. Section 2., wording, change from:
>
> This document uses the term uncertainty to refer in general to the concept
> as well as more specifically to refer to the error increment.
>
> To:
>
> This document uses the term uncertainty to refer in general to the concept
> as well as more specifically to the error increment.
>
> C8., S2.1, change from:
>
> most generally applicable most applicable to location information
>
> to:
>
> most generally applicable to location information
>
> C9., S3., consistency with other uses, change from:
>
> in 2- or 3-dimensional locations
>
> to:
>
> in two or three dimensional locations
>
> C10., S3., consider adding and example based on the following sentence:
>
> Areas or volumes that describe regions of uncertainty can be formed by the
> combination of two or three one-dimensional ranges, or more complex shapes
> could be described.
>
> C11., S3.1., suggest explaining why it is a reasonable assumption to make
> (or link to the following paragraphs, if that is the intention):
>
> While this is clearly false in virtually all scenarios with any practical
> application, it is often a reasonable assumption to make.
>
> C12., S3.1., based on the conclusion, consider whether it would make sense
> to state the converse in the following sentence:
>
> From:
>
> This assumption is less useful as the Target of the PIDF-LO becomes large
> relative to the uncertainty region.
>
> To:
>
> This assumption is less useful as the Target of the PIDF-LO becomes large
> relative to the uncertainty region (or, conversely as the uncertainty
> becomes incrementally small relative to the Target’s location).
>
> C13., S3.2., from:
>
> The PIDF-LO does not include an indication of confidence, but that
> confidence is 95%, by definition in [RFC5491].
>
> To:
>
> The PIDF-LO can contain uncertainty, but does not include an indication of
> confidence, but implies that confidence is 95%, by definition in [RFC5491].
>
> C14., S3.2., from:
>
> Section 4 defines elements to convey this information.
>
> To:
>
> Section 4 defines elements to convey this information in the PIDF-LO.
>
> C15., S3.3., from:
>
> Uncertainty is effectively defined by the presence or absence of elements
>
> To:
>
> Uncertainty in this case, is effectively defined by the presence or absence
> of elements
>
> C16., 3.3., s/partions/partitions/1
>
> C17., 3.3., suggest rewording for clarity:
>
> The resulting spatial partition can be considered to represent a region of
> uncertainty. At no stage does this process select a point; although, as
> spaces get smaller this distinction might have no practical significance and
> an approximation if a point could be used.
>
> C18., 3.3., use of doesn’t – doesn’t seems hard to read, do you mean
> “increase” instead at end?
>
> This doesn't necessarily improve confidence in the same way that arbitrarily
> increasing uncertainty in a geodetic location doesn't increase confidence.
>
> C19., 3.4., need explanation of why can it be assumed…
>
> A default value of 95% confidence can be assumed for the combination of the
> uncertainty on each axis
>
> C20., Section 4., s/achieve/achieve/1, s/that are likely result/that likely
> result/1
>
> C21., 4., remove comma, s/hence ignores,/hence ignores/1
>
> C22., 4.1., wording, s/ confidence is 95%/ a confidence of 95% is assumed/1
>
> C23., 5.1., s/minimises/minimizes/1
>
> C24., 5.1.1.1., unfinished sentence:
>
> This point can be found along the line that bisects the arc; that is, the
> line at an angle of
>
> C25., 5.4., wording, from:
>
> If both uncertainty, confidence and PDF are known
>
> To:
>
> If uncertainty, confidence, and PDF are known
>
> C26., 5.4.2., suggest added wording, something like…
>
> From:
>
> However, the process is more complicated.
>
> To:
>
> However, the process is more complicated, as we show.
>
> C27., 5.4.2., missing commas, s/uncertainty/uncertainty,/2
>
> C28., 5.4.2., from:
>
> each axis is the same
>
> to:
>
> each axis is assumed to be the same
>
> C29., spelling, s/judgement/judgment/3
>
> C30., 5.5., (not sure what is meant), suggest:
>
> From:
>
> uncertainties using these PDFs can be assumed to be rectangular
>
> to:
>
> uncertainties using these PDFs that are assumed to be rectangular
>
> C31., sentence seems incomplete:
>
> “Given that the area of the region of uncertainty is”
>
> C32., 6.1., s/a ellipsoid/an ellipsoid/1
>
> C33., 6.2., s/the results of each/the result of each/1
>
> C34., 6.2., s/this is typical value/this is a typical value/1
>
> C35., 6.2., sentence needs reworded for clarity:
>
> To find the confidence that he is within the smaller area of the concert
> hall, given by the polygon
>
> C36., 6.3., s/Suppose than/Suppose that/1
>
> C37., 8.1., 8.2., s/andrew.com/gmail.com/2
>
> C38., 8.1., incomplete, “XML:” has nothing after (maybe above xml example
> should go here?)
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
> From: Geopriv [mailto:[email-masked]] On Behalf Of Alissa Cooper
> Sent: Monday, February 17, 2014 10:36 AM
> To: [email-masked]
> Subject: [Geopriv] Meeting in London
>
>
>
> Folks,
>
>
>
> GEOPRIV has a 1-hour slot scheduled in London. There has been no list
> discussion of draft-ietf-geopriv-uncertainty-00, so I'm wondering if we
> should have the meeting in order to motivate discussion, or cancel it
> because no one is interested. Please send your thoughts on this question
> ASAP.
>
>
>
> I believe that draft would be the only agenda item, unless folks have other
> suggestions.
>
>
>
> Since I'm transitioning to the IESG we are working on finding a new GEOPRIV
> chair, and will have an update on that soon.
>
>
>
> Best,
>
> Alissa
>
> ________________________________
>
> CONFIDENTIALITY NOTICE: The information contained in this message may be
> privileged and/or confidential. If you are not the intended recipient, or
> responsible for delivering this message to the intended recipient, any
> review, forwarding, dissemination, distribution or copying of this
> communication or any attachment(s) is strictly prohibited. If you have
> received this message in error, please notify the sender immediately, and
> delete it and all attachments from your computer and network.